<?xml version="1.0" encoding="UTF-8"?>

<project name="CompileJasper" default="compile-reports" basedir=".">

    <path id="jasper.classpath">
        <fileset dir="./web/lib">
            <include name="jasperreports-*.jar"/>
            <include name="jasperreports-functions-*.jar"/>
            <include name="commons-*.jar"/>
            <include name="itext-*.jar"/>
            <include name="joda-time-*.jar"/>
            <include name="jdt-compiler-*.jar"/>
        </fileset>
    </path>

    <path id="tomcat.classpath">
        <fileset dir="/usr/local/tomcat/lib">
            <include name="*.jar"/>
        </fileset>
    </path>

    <taskdef name="jrc" 
            classname="net.sf.jasperreports.ant.JRAntCompileTask" 
            classpathref="jasper.classpath"/>
    <target name="compile-reports">
        <jrc srcdir="./web/reports/idcards"
            destdir="./web/reports/idcards">
            <include name="**/*.jrxml"/>
        </jrc>
    </target>

</project>